require 'sketchup'

UI.add_context_menu_handler do | menu |
menu.add_item("DC Resize") {
	model = Sketchup.active_model
	entities = model.entities
	selection = model.selection
	
	selection.each do |inst|
		if inst.is_a?(Sketchup::ComponentInstance) then
								
			inst.set_last_size(50,20,100)
			$dc_observers.get_latest_class.redraw_with_undo(inst) 
			
		end
	end
}
end